本文へスキップ
Sursa Developers

オブジェクト

CardFileUpsertForm

PUT /v1/cards-by-external-id/{external_id}用のファイル。フォームとファイルの確認はPOST /v1/cardsと同じです。カードが存在しない場合は作成されます。存在する場合、内容が変わっていれば、ファイルが新しいバージョンとして内容を置き換えます。コレクションとフォルダーは、カードの作成時にだけ適用されます。

フィールド

  • filestring (application/octet-stream)必須
  • titlestring | null

    カードのタイトル。渡さない場合、新しいカードにはファイル名が付き、既存のカードはタイトルを維持します。

    length ≤ 200

  • collectionstring
  • collection_idinteger | null
  • folder_idstring | null

    length ≤ 64

  • tagsstring

    カンマ区切りのタグ。

  • owner_idinteger | null
  • verify_interval_daysinteger | null
  • categorystring | null
  • sensitiveboolean | null
  • metadatastring | null

    metadata:フォームフィールドの値として渡すJSONオブジェクト。規則はMetadataPatchと同じです。

  • asyncboolean

    デフォルト:false

使用箇所